> For the complete documentation index, see [llms.txt](https://docs.proudnet.com/proudnet/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.proudnet.com/proudnet/proudnet/using_pn.md).

# ProudNet 사용하기

ProudNet을 사용하기 위해서는 <mark style="color:orange;">ProudNet 설치 위치</mark> -> <mark style="color:orange;">Lib</mark>폴더 안에 있는 Lib파일이 프로젝트에 링크되어야 합니다. 사용하는 Visual Studio 버전과 컴파일 버전 (debug, release 등)에 맞는 버전을 링크해 주세요.&#x20;

{% hint style="danger" %}
버전이 맞지 않으면 작동하지 않으므로 주의하여 링크합니다.
{% endhint %}

ProudNet 모듈은 <mark style="color:orange;">./include</mark>폴더의 <mark style="color:orange;">ProudNet.h</mark>를 include하여 사용할 수 있습니다. \
모든 소스는 <mark style="color:orange;">namespace Proud</mark>로 묶여있기 때문에 using namespace Proud로 보다 편리하게 이용하세요.

## 목록

#### :black\_small\_square: [서버와 클라이언트](/proudnet/proudnet/using_pn/server_client.md)

#### :black\_small\_square: [RMI](/proudnet/proudnet/using_pn/rmi.md)

#### :black\_small\_square: [PIDL](/proudnet/proudnet/using_pn/pidl.md)

#### :black\_small\_square: [이벤트 핸들링](/proudnet/proudnet/using_pn/eventhandling.md)

#### :black\_small\_square: [통신 메시지](/proudnet/proudnet/using_pn/undefined.md)

#### :black\_small\_square: [P2P 통신](/proudnet/proudnet/using_pn/p2p.md)

## 코드 예시 변수

{% hint style="info" %}
이해를 돕기 위해 C++과 C# 의 코드 예시가 작성되어 있으니 아래 변수를 참고하시기 바랍니다.
{% endhint %}

{% tabs %}
{% tab title="C++" %}

<table><thead><tr><th width="196">변수 명</th><th>설명</th></tr></thead><tbody><tr><td>m_netCient </td><td>인스턴스화 된 CNetClient 객체</td></tr><tr><td>m_netServer </td><td>인스턴스화 된 CNetServer 객체</td></tr><tr><td>g_version </td><td>전역으로 설정된 protocol version</td></tr></tbody></table>
{% endtab %}

{% tab title="C#" %}

<table><thead><tr><th width="201">변수 명</th><th>설명</th></tr></thead><tbody><tr><td>netClient </td><td>인스턴스화 된 NetClient 객체</td></tr><tr><td>netServer </td><td>인스턴스화 된 NetServer 객체</td></tr><tr><td>version </td><td>미리 설정한 protocol version 변수</td></tr><tr><td>simpleStub </td><td>사용자가 정의한 Stub 객체</td></tr><tr><td>simpleProxy </td><td>사용자가 정의한 Proxy 객체</td></tr></tbody></table>
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.proudnet.com/proudnet/proudnet/using_pn.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
